import warnings

warnings.filterwarnings('ignore', category=FutureWarning)
warnings.filterwarnings('ignore', category=UserWarning)

# Imports
# =============================================================================

from main import run_lightning_loop
from utils.project_config import ThisConfig
from _parameters import args


if __name__ == '__main__':

    # Model Settings
    config = ThisConfig().read_namespace(args)
    # bias, activation, model, norm, max_epochs
    pn2 = dict(model_type='PN2', model_use_bias=True, model_use_norm=True, data_batchsize=250)
    # p2g = dict(model_type='P2G', model_use_bias=True, model_use_norm=True, data_batchsize=250)
    # bias, activation, model, norm, max_epochs

    for arg_dict in [pn2]:
        for seed in range(10):
            arg_dict.update(main_seed=seed)

            config = config.update(arg_dict)

            run_lightning_loop(config)
